- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# net_linkagg – Manage link aggregation groups on network devices

New in version 2.4.

- DEPRECATED

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## DEPRECATED

Removed in Ansible

  version: 2.13

Why

  Updated modules released with more functionality

Alternative

  Use platform-specific “[netos]_lag_interfaces” module

## Synopsis

- This module provides declarative management of link aggregation groups on network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aggregate - |  | List of link aggregation definitions.
members - / required |  | List of members interfaces of the link aggregation group. The value can be single interface or list of interfaces.
min_links - |  | Minimum members that should be up before bringing up the link aggregation group.
mode - | Choices: on active passive Default: "yes" | Mode of the link aggregation group. A value of `on` will enable LACP. `active` configures the link to actively information about the state of the link, or it can be configured in `passive` mode ie. send link state information only when received them from another link.
name - / required |  | Name of the link aggregation group.
purge - | Default: "no" | Purge link aggregation groups not defined in the aggregate parameter.
state - | Choices: present ← absent up down | State of the link aggregation group.

## Notes

Note

- This module is supported on `ansible_network_os` network platforms. See the Network Platform Options for details.

## Examples

    - name: configure link aggregation group
      net_linkagg:
        name: bond0
        members:
          - eth0
          - eth1

    - name: remove configuration
      net_linkagg:
        name: bond0
        state: absent

    - name: Create aggregate of linkagg definitions
      net_linkagg:
        aggregate:
            - { name: bond0, members: [eth1] }
            - { name: bond1, members: [eth2] }

    - name: Remove aggregate of linkagg definitions
      net_linkagg:
        aggregate:
          - name: bond0
          - name: bond1
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always, except for the platforms that use Netconf transport to manage the device. | The list of configuration mode commands to send to the device Sample: ['set interfaces bonding bond0', "set interfaces ethernet eth0 bond-group 'bond0'", "set interfaces ethernet eth1 bond-group 'bond0'"]

## Status

- This module will be removed in version 2.13. [deprecated]

- For more information see DEPRECATED.

### Authors

- Ricardo Carrillo Cruz (@rcarrillocruz)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.